Bug 891183 - nodejs-combined-stream - A stream that emits multiple other streams one after another
Summary: nodejs-combined-stream - A stream that emits multiple other streams one after...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 891189 F19FeatureNodeJS 905814
TreeView+ depends on / blocked
 
Reported: 2013-01-02 08:08 UTC by T.C. Hollingsworth
Modified: 2013-04-05 23:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-16 02:38:45 UTC
sgallagh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-02 08:08:58 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-combined-stream.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-combined-stream-0.0.3-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830953
FAS username: patches

A stream that emits multiple other streams one after another.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.

Comment 1 T.C. Hollingsworth 2013-01-10 07:28:24 UTC
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-combined-stream.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-combined-stream-0.0.3-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854301

Comment 2 Jason Antman 2013-02-05 19:16:07 UTC
FYI, I just rebuilt that SRPM on centos6 x86_64 in mock, and it looks good to me.

Using the other nodejs-* packages you've built, it passes all of the tests triggered by the upstream https://github.com/felixge/node-combined-stream/blob/master/test/run.js

I'm not a fedora packaging expert, but specfile looks good to my untrained eyes...

Comment 3 Stephen Gallagher 2013-02-07 18:58:54 UTC
Review looks good to me and matches the packaging guidelines. The automatic dependency/provides generator properly identifies npm(delayed-stream) as a dependency and provides npm(combined-stream).

Approved.

Comment 4 T.C. Hollingsworth 2013-02-07 22:57:43 UTC
New Package SCM Request
=======================
Package Name: nodejs-combined-stream
Short Description: A stream that emits multiple other streams one after another
Owners: patches
Branches: f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-02-08 13:41:04 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-02-11 07:43:09 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18, nodejs-form-data-0.0.6-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-async-0.2.4-1.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-combined-stream-0.0.4-1.fc18,nodejs-config-chain-1.1.5-1.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-form-data-0.0.6-4.fc18,nodejs-fstream-0.1.22-1.fc18,nodejs-fstream-ignore-0.0.6-1.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-glob-3.1.20-1.fc18,nodejs-graceful-fs-1.2.0-1.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-ini-1.1.0-1.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-lockfile-0.3.0-1.fc18,nodejs-lru-cache-2.2.2-1.fc18,nodejs-mime-1.2.9-1.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-nopt-2.1.1-1.fc18,nodejs-npmconf-0.0.23-1.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-npm-registry-client-0.2.13-2.fc18,nodejs-once-1.1.1-2.fc18,nodejs-opener-1.3.0-4.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-promzard-0.2.0-3.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.1.1-1.fc18,nodejs-read-package-json-0.1.13-1.fc18,nodejs-request-2.12.0-5.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.4-1.fc18,nodejs-semver-1.1.3-1.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-tar-0.1.16-1.fc18,nodejs-tobi-cookie-0.3.2-2.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-which-1.0.5-4.fc18,nodejs-yamlish-0.0.5-1.fc18,node-gyp-0.8.4-1.fc18,npm-1.2.10-1.fc18

Comment 7 Fedora Update System 2013-02-12 05:27:17 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18, nodejs-form-data-0.0.6-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-02-14 02:42:06 UTC
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, nodejs-async-0.2.5-1.fc18, nodejs-form-data-0.0.7-1.fc18, nodejs-npm-registry-client-0.2.15-1.fc18, nodejs-read-package-json-0.2.0-1.fc18, npm-1.2.10-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-04-05 23:18:19 UTC
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.